/*
 * Copyright (c) 1999 Marc Haber <Marc.Haber@gmx.de>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Todd C. Miller.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

// #define DEBUG 1

#include <iostream.h>
#include <regex.h>
#include <string>
#include <vector>
#include <set>
#include <algo.h>



string ConcatStringArray(char **arr, int num)
{
		int i;
		string rval="";
		
		for( i=0; i<num; i++ )
		  {
				  rval += arr[i];
                  rval += " ";
		  }
		
		return rval;
}

void print_string_to_cout_with_newline( string s )
{
		cout << s << "\n";
}

string Trim(string s)
{

  string::iterator i=s.begin();
		
  while(isspace(*i++) && i!=s.end());
	
  if( i-- != s.begin() ) { s.erase(s.begin(),i); }
		
  i=s.end();
  while(isspace(*--i) && i!=s.begin());
  if( i++ != s.end() ) { s.erase(i,s.end()); }

  if( s == " " ) s="";
  return s;
}

int main(int argc, char* argv[])
{
	
  set<string> s;
	
  for( int i=1; i<argc; i++)
  {
    s.insert(argv[i]);
  }
	
  char sep = '{';
	
  for( set<string>::iterator i=s.begin(); i!=s.end(); ++i)
  {
    cout << sep << " " << *i << " ";
	sep = ',';
  }
  
  cout << "}";
}
